Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members Related Pages

# Edit Namespace Reference

The Edit namespace. More...

## Compounds
class | DataBlockI
| Plugin data interface. More...
struct | DiscardableS
class | EditableI
| Editable interface. More...
class | UndoC
| Undo object class. More...
## Enumerations
enum | DiscardableTypeE { DATA_REMOVED = 1, DATA_CREATED = 2 }
| Flags for add_discardable_data(). More...

## Detailed Description

The Edit namespace.

The classes collected into the Edit namespace are very closely related to the internal undo-system of Demopaja. The classes range from the actual undo object to the basic data objects. which are handled by the undo system.

## Enumeration Type Documentation

enum DiscardableTypeE

  | Flags for add_discardable_data(). Enumeration values:
  DATA_REMOVED | The discardable data has been removed.
  DATA_CREATED | The discardable data has been created.